"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class AccountCategories extends abstractCollection_1.default {
    post(accountCategory) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/account-categories', {
                body: accountCategory,
                method: 'POST',
            });
        });
    }
    get(options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/account-categories', {
                query: options,
            });
        });
    }
    getAccountCategory(key) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/account-categories/${key}`);
        });
    }
    putAccountCategory(key, accountCategory) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/account-categories/${key}`, {
                body: accountCategory,
                method: 'PUT',
            });
        });
    }
    deleteAccountCategory(key) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/account-categories/${key}`, {
                method: 'DELETE',
            });
        });
    }
}
exports.default = AccountCategories;
//# sourceMappingURL=accountCategories.js.map