"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class AccountLinks extends abstractCollection_1.default {
    post(accountLink) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/account-links', {
                body: accountLink,
                method: 'POST',
            });
        });
    }
    getAccountLink(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/account-links/${id}`);
        });
    }
    deleteAccountLink(id) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/account-links/${id}`, {
                method: 'DELETE',
            });
        });
    }
    getForProject(projectKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/account-links/project/${projectKey}`);
        });
    }
}
exports.default = AccountLinks;
//# sourceMappingURL=accountLinks.js.map