import * as queryOptions from '../queryOptionTypes';
import { PermissionRole } from '../requestTypes';
import { PermissionRoleResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class PermissionRoles extends Collection {
    /**
     * Retrieve permission roles
     */
    get(options?: Partial<queryOptions.TeamId>): Promise<ResultSetResponse<PermissionRoleResponse>>;
    /**
     * Create a new editable permission role
     */
    post(permissionRole: PermissionRole): Promise<PermissionRoleResponse>;
    /**
     * Retrieve global permission roles
     */
    getGlobal(): Promise<ResultSetResponse<PermissionRoleResponse>>;
    /**
     * Retrieve a permission role
     */
    getPermissionRole(id: string): Promise<PermissionRoleResponse>;
    /**
     * Update a permission role. Only members of editable roles can be updated.
     */
    putPermissionRole(id: string, permissionRole: PermissionRole): Promise<PermissionRoleResponse>;
    /**
     * Delete an editable permission role
     */
    deletePermissionRole(id: string): Promise<void>;
}
