import * as queryOptions from '../queryOptionTypes';
import { Plan } from '../requestTypes';
import { PaginatedResultSetResponse, PlanResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Plans extends Collection {
    get(options?: Partial<queryOptions.AssigneeType & queryOptions.PlanItemType & queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<PlanResponse>>;
    post(plan: Plan): Promise<PlanResponse>;
    getPlan(id: string, options?: queryOptions.DateRange): Promise<PlanResponse>;
    putPlan(id: string, plan: Plan): Promise<PlanResponse>;
    deletePlan(id: string): Promise<void>;
    getForUser(accountId: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom>): Promise<ResultSetResponse<PlanResponse>>;
}
