"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class Programs extends abstractCollection_1.default {
    get() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/programs');
        });
    }
    post(program) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/programs', {
                body: program,
                method: 'POST',
            });
        });
    }
    getProgram(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/programs/${id}`);
        });
    }
    putProgram(id, program) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/programs/${id}`, {
                body: program,
                method: 'PUT',
            });
        });
    }
    deleteProgram(id) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/programs/${id}`, {
                method: 'DELETE',
            });
        });
    }
    getTeamsForProgram(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/programs/${id}/teams`);
        });
    }
}
exports.default = Programs;
//# sourceMappingURL=programs.js.map