import { Role } from '../requestTypes';
import { ResultSetResponse, RoleWithDefaultResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Roles extends Collection {
    /**
     * Retrieve all roles
     */
    get(): Promise<ResultSetResponse<RoleWithDefaultResponse>>;
    /**
     * Creates a new role
     */
    post(role: Role): Promise<RoleWithDefaultResponse>;
    /**
     * Retrieve the default role
     */
    getDefault(): Promise<RoleWithDefaultResponse>;
    /**
     * Retrieve an existing role for the given id
     */
    getRole(id: string): Promise<RoleWithDefaultResponse>;
    /**
     * Update an existing role for the given id
     */
    putRole(id: string, role: Role): Promise<RoleWithDefaultResponse>;
    /**
     * Delete an existing role
     */
    deleteRole(id: string): Promise<void>;
}
