import { Team } from '../requestTypes';
import { ResultSetResponse, TeamLinkRefResponse, TeamMemberActiveMembershipResponse, TeamMemberMembershipResponse, TeamPermissionResponse, TeamResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Teams extends Collection {
    post(team: Team): Promise<TeamResponse>;
    get(): Promise<ResultSetResponse<TeamResponse>>;
    getTeam(id: string): Promise<TeamResponse>;
    putTeam(id: string, team: Team): Promise<TeamResponse>;
    deleteTeam(id: string): Promise<void>;
    getTeamLinksForTeam(id: string): Promise<ResultSetResponse<TeamLinkRefResponse>>;
    getMembersForTeam(id: string): Promise<ResultSetResponse<TeamMemberActiveMembershipResponse>>;
    getMemberForTeam(id: string, accountId: string): Promise<TeamMemberActiveMembershipResponse>;
    getMemberMembershipsForTeam(id: string, accountId: string): Promise<ResultSetResponse<TeamMemberMembershipResponse>>;
    getPermissionsForTeam(id: string): Promise<ResultSetResponse<TeamPermissionResponse>>;
    getPermissionForTeam(id: string, key: string): Promise<TeamPermissionResponse>;
}
