"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class TimesheetApprovals extends abstractCollection_1.default {
    getWaiting() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/timesheet-approvals/waiting');
        });
    }
    getForUser(accountId, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}`, {
                query: options,
            });
        });
    }
    getReviewersForUser(accountId) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}/reviewers`);
        });
    }
    postApproveTimesheetForUser(accountId, timesheetApproval, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}/approve`, {
                body: timesheetApproval,
                method: 'POST',
                query: options,
            });
        });
    }
    postRejectTimesheetForUser(accountId, timesheetApproval, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}/reject`, {
                body: timesheetApproval,
                method: 'POST',
                query: options,
            });
        });
    }
    postReopenTimesheetForUser(accountId, timesheetApproval, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}/reopen`, {
                body: timesheetApproval,
                method: 'POST',
                query: options,
            });
        });
    }
    postSubmitTimesheetForUser(accountId, timesheedApprovalRequest, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/user/${accountId}/submit`, {
                body: timesheedApprovalRequest,
                method: 'POST',
                query: options,
            });
        });
    }
    getForTeam(teamId, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/timesheet-approvals/team/${teamId}`, {
                query: options,
            });
        });
    }
}
exports.default = TimesheetApprovals;
//# sourceMappingURL=timesheetApprovals.js.map