"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class WorkAttributes extends abstractCollection_1.default {
    /**
     * Retrieve all work attributes
     */
    get() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/work-attributes');
        });
    }
    /**
     * Create a work attribute
     */
    post(workAttribute) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/work-attributes', {
                body: workAttribute,
                method: 'POST',
            });
        });
    }
    /**
     * Retrieve an existing work attribute for the given key
     */
    getWorkAttribute(key) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/work-attributes/${key}`);
        });
    }
    /**
     * Update an existing work attribute for the given key
     */
    putWorkAttribute(key, workAttribute) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/work-attributes/${key}`, {
                body: workAttribute,
                method: 'PUT',
            });
        });
    }
    /**
     * Delete an existing work attribute for the given key
     */
    deleteWorkAttribute(key) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/work-attributes/${key}`, {
                method: 'DELETE',
            });
        });
    }
}
exports.default = WorkAttributes;
//# sourceMappingURL=workAttributes.js.map