import { RequestBaseConfig, RequestConfig, Method, Body } from './requestConfig';
interface RequestBuilderConfig {
    port?: string;
    timeout?: number;
    protocol?: string;
    host: string;
    apiVersion: string;
    intermediatePath?: string;
    bearerToken?: string;
}
interface UrlOptions {
    pathname: string;
    query?: {
        [key: string]: (number | string | string[]);
    };
    intermediatePath?: string;
}
export default class Builder {
    readonly protocol: string;
    readonly port?: string;
    readonly host: string;
    readonly apiVersion: string;
    readonly intermediatePath?: string;
    readonly baseOptions: RequestBaseConfig;
    constructor(options: RequestBuilderConfig);
    buildRequestConfig(url: string, { method, body }?: {
        method?: Method;
        body?: Body;
    }): RequestConfig;
    buildUrl({ pathname, query, intermediatePath }: UrlOptions): string;
}
export {};
