import AccountCategories from './collections/accountCategories';
import AccountCategoryTypes from './collections/accountCategoryTypes';
import AccountLinks from './collections/accountLinks';
import Accounts from './collections/accounts';
import Customers from './collections/customers';
import HolidaySchemes from './collections/holidaySchemes';
import Periods from './collections/periods';
import PermissionRoles from './collections/permissionRoles';
import Plans from './collections/plans';
import Programs from './collections/programs';
import Roles from './collections/roles';
import TeamLinks from './collections/teamLinks';
import TeamMemberships from './collections/teamMemberships';
import Teams from './collections/teams';
import TimesheetApprovals from './collections/timesheetApprovals';
import UserSchedule from './collections/userSchedule';
import WorkAttributes from './collections/workAttributes';
import WorkloadSchemes from './collections/workloadSchemes';
import Worklogs from './collections/worklogs';
import * as QueryOptionTypes from './queryOptionTypes';
import RequestHandler from './request/handler';
import * as RequestTypes from './requestTypes';
import * as ResponseTypes from './responseTypes';
export interface TempoApiOptions {
    requestHandler?: RequestHandler;
    port?: string;
    timeout?: number;
    protocol: string;
    host: string;
    apiVersion: string;
    intermediatePath?: string;
    bearerToken?: string;
}
export { RequestTypes };
export { ResponseTypes };
export { QueryOptionTypes };
export default class TempoApi {
    readonly accountCategories: AccountCategories;
    readonly accountCategoryTypes: AccountCategoryTypes;
    readonly accountLinks: AccountLinks;
    readonly accounts: Accounts;
    readonly customers: Customers;
    readonly holidaySchemes: HolidaySchemes;
    readonly periods: Periods;
    readonly permissionRoles: PermissionRoles;
    readonly plans: Plans;
    readonly programs: Programs;
    readonly roles: Roles;
    readonly teamMemberships: TeamMemberships;
    readonly teamLinks: TeamLinks;
    readonly teams: Teams;
    readonly timesheetApprovals: TimesheetApprovals;
    readonly userSchedule: UserSchedule;
    readonly workAttributes: WorkAttributes;
    readonly workloadSchemes: WorkloadSchemes;
    readonly worklogs: Worklogs;
    constructor(options: TempoApiOptions);
}
