"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryOptionTypes = exports.ResponseTypes = exports.RequestTypes = void 0;
const accountCategories_1 = require("./collections/accountCategories");
const accountCategoryTypes_1 = require("./collections/accountCategoryTypes");
const accountLinks_1 = require("./collections/accountLinks");
const accounts_1 = require("./collections/accounts");
const customers_1 = require("./collections/customers");
const holidaySchemes_1 = require("./collections/holidaySchemes");
const periods_1 = require("./collections/periods");
const permissionRoles_1 = require("./collections/permissionRoles");
const plans_1 = require("./collections/plans");
const programs_1 = require("./collections/programs");
const roles_1 = require("./collections/roles");
const teamLinks_1 = require("./collections/teamLinks");
const teamMemberships_1 = require("./collections/teamMemberships");
const teams_1 = require("./collections/teams");
const timesheetApprovals_1 = require("./collections/timesheetApprovals");
const userSchedule_1 = require("./collections/userSchedule");
const workAttributes_1 = require("./collections/workAttributes");
const workloadSchemes_1 = require("./collections/workloadSchemes");
const worklogs_1 = require("./collections/worklogs");
const QueryOptionTypes = require("./queryOptionTypes");
exports.QueryOptionTypes = QueryOptionTypes;
const builder_1 = require("./request/builder");
const handler_1 = require("./request/handler");
const RequestTypes = require("./requestTypes");
exports.RequestTypes = RequestTypes;
const ResponseTypes = require("./responseTypes");
exports.ResponseTypes = ResponseTypes;
class TempoApi {
    constructor(options) {
        const request = {
            requestBuilder: new builder_1.default(options),
            requestHandler: options.requestHandler || new handler_1.default(),
        };
        this.accountCategories = new accountCategories_1.default(request);
        this.accountCategoryTypes = new accountCategoryTypes_1.default(request);
        this.accountLinks = new accountLinks_1.default(request);
        this.accounts = new accounts_1.default(request);
        this.customers = new customers_1.default(request);
        this.holidaySchemes = new holidaySchemes_1.default(request);
        this.periods = new periods_1.default(request);
        this.permissionRoles = new permissionRoles_1.default(request);
        this.plans = new plans_1.default(request);
        this.programs = new programs_1.default(request);
        this.roles = new roles_1.default(request);
        this.teamMemberships = new teamMemberships_1.default(request);
        this.teamLinks = new teamLinks_1.default(request);
        this.teams = new teams_1.default(request);
        this.timesheetApprovals = new timesheetApprovals_1.default(request);
        this.userSchedule = new userSchedule_1.default(request);
        this.workAttributes = new workAttributes_1.default(request);
        this.workloadSchemes = new workloadSchemes_1.default(request);
        this.worklogs = new worklogs_1.default(request);
    }
}
exports.default = TempoApi;
//# sourceMappingURL=tempo.js.map